./devel/ruby-cmd, Library for building line-oriented command interpreters

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.7.2nb1, Package name: ruby200-cmd-0.7.2nb1, Maintainer: minskim

cmd is a library for building line-oriented command interpreters in
Ruby. Simply inherit from cmd's Cmd class, and methods whose names
start with do_ become interactive commands. cmd is inspired by the
Python library of the same name, but offers a distinctive Ruby feel
and several additional features.


Required to run:
[devel/ruby-readline] [lang/ruby200-base]

Master sites:

SHA1: e4287548ca684184268278bcdbe7f501396a403b
RMD160: 69230cdd29b99ad78ac33533d9da4107d2abfea2
Filesize: 28 KB

Version history: (Expand)


CVS history: (Expand)


   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-09-25 08:05:40 by Takahiro Kambe | Files touched by this commit (1)
Log message:
Avoid using rubyforge.org since it stopped most of services.
   2013-03-07 16:08:11 by Takahiro Kambe | Files touched by this commit (3)
Log message:
Use OVERRIDE_GEMSPEC instead of modifying gemspec file.
   2011-11-08 16:42:27 by Takahiro Kambe | Files touched by this commit (3)
Log message:
Use RUBY_VERSION instead of RUBY_REQD.
   2010-09-10 07:13:13 by Takahiro Kambe | Files touched by this commit (3)
Log message:
* Use lang/ruby/gem.mk instead of misc/rubygems/rubygem.mk.
* Add LICENSE.
* Fix dependency to support both ruby18 and ruby19.
   2009-06-14 19:49:18 by Joerg Sonnenberger | Files touched by this commit (454)
Log message:
Remove @dirrm entries from PLISTs
   2008-04-04 17:30:02 by Johnny C. Lam | Files touched by this commit (98)
Log message:
Install as a gem using the pkgsrc rubygem.mk framework instead of
directly into site_ruby.
   2006-01-03 15:57:52 by Takahiro Kambe | Files touched by this commit (4)
Log message:
Revive ruby-cmd package.

New HOMEPAGE and MASTER_SITES was noted from minskim by private mail.